package org.bench4q.share.models.master.plugin;

import java.util.List;

import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElementWrapper;
import javax.xml.bind.annotation.XmlRootElement;

@XmlRootElement
public class PluginInfoModel extends ParamsContainerModel {
	private List<GroupModel> groupModels;

	@XmlElementWrapper(name = "groups")
	@XmlElement(name = "group", type = GroupModel.class)
	public List<GroupModel> getGroupModels() {
		return groupModels;
	}

	public void setGroupModels(List<GroupModel> groupModels) {
		this.groupModels = groupModels;
	}
}
